#ifndef CHARACTER_WORLD_STATE_HPP
#define CHARACTER_WORLD_STATE_HPP

#include "inventory.hpp"
#include "unit_world_state.hpp"

class CharacterWorldState : public UnitWorldState {
    GDCLASS(CharacterWorldState, UnitWorldState);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    virtual gd::String get_weapon_animation() const override;
    virtual bool get_is_in_range() const override;
private:
    Inventory *inventory{nullptr};
};

#endif // !CHARACTER_WORLD_STATE_HPP
